--- /dev/null
+#!/bin/sh
+#
+# This script creates archives of HTML documentation in tar.bz2 and zip
+# formats. It relies on docs/doxygen/regen.sh to really generate the docs.
+#
+# The script should be ran from the root of wxWidgets checkout and creates the
+# output files in its parent directory.
+
+version=$1
+if [ -z "$version" ]; then
+ echo "Must specify the distribution version." >&2
+ exit 1
+fi
+
+set -e
+set -x
+
+docs_dir_name=wxWidgets-$version
+docs_file_basename=wxWidgets-docs-html-$version
+
+cd docs/doxygen
+./regen.sh html
+cd out
+mv html $docs_dir_name
+tar cjf ../../../../$docs_file_basename.tar.bz2 $docs_dir_name
+cd $docs_dir_name
+zip -q -r ../../../../../$docs_file_basename.zip .
+
+cd ..
+mv $docs_dir_name html
to be in the release, commit them first.
-Also run doxygen to create HTML documentation and pack it in .tar.bz2 and .zip
-formats.
+Alternative non official release scripts
+----------------------------------------
+
+If you use git-svn, then you can use alternative script that avoids the
+problems such as using non-clean tree and also has better handling of the ends
+of lines conversions. To use it you need to run
+
+- build/tools/svn-find-native-eols.pl
+- build/tools/git-make-release
+- build/tools/make-html-docs
+
+(the last one can also be used without git).
Uploading